import request from '@/utils/request'

// 获取列表
export function getList(query) {
  return request({
    url: '/drillInfo/list',
    method: 'get',
    params: query
  })
}
// 获取列表
export function getDetails(query) {
  return request({
    url: '/drillInfo/getDetails',
    method: 'get',
    params: query
  })
}
// 新增推演
export function saveAdd(data) {
  return request({
    timeout: 30000,
    url: '/drillInfoDetails/save',
    method: 'post',
    data
  })
}
// 新增
export function save(data) {
  return request({
    url: '/drillInfo/save',
    method: 'post',
    data
  })
}
// 删除
export function remove(id) {
  return request({
    url: `/drillInfo/remove?id=${id}`,
    method: 'delete'
  })
}
export function getDicts(dictType) {
  return request({
    url: '/system/dict/data/type/' + dictType,
    method: 'get'
  })
}
